How to identify computers

How to identify computers copyright 2004 Symantec

You must identify computers to Norton Internet Security to manually configure zones and firewall rules. In these cases, a dialog box appears to help you identify the computer.

There are three ways to identify computers. Each uses IP addresses.

More Information


Find a computer's IP address

Find a computer's IP address copyright 2004 Symantec

There are two procedures for finding a computer's IP address. On Windows 98/Me computers, you can use Winipcfg to find the IP address of a computer. On Windows 2000/XP computers, you can use Ipconfig to find the IP address of a computer.

Winipcfg and Ipconfig report the IP address of their local computer only. You must run these programs on the computer you want to identify.

To find an IP address with Winipcfg

  1. On the computer you want to identify, on the Windows taskbar, click Start > Run.
  2. In the Run dialog box, type winipcfg
  3. Click OK.
  4. Select the appropriate network adapter.
  5. Record the IP address.

To find an IP address with Ipconfig

  1. On the computer you want to identify, on the Windows taskbar, click Start > Run.
  2. In the Run dialog box, type cmd
  3. Click OK.
  4. At the command prompt, type ipconfig
  5. Click OK.
  6. Record the IP address.


Specify an individual computer

Specify an individual computer copyright 2004 Symantec

The computer name that you type can be an IP address, a URL such as service.symantec.com, or a Microsoft Network computer name, such as Mojave. You can find the names of computers on your local network in Network Neighborhood or Network Places on your Windows desktop.

If you don't have TCP/IP bound to Client for Microsoft Networks in Windows Network Properties, you must use IP addresses instead of names for the computers on your local network.

To specify an individual computer

  1. In the dialog box, click Individually.
  2. Type the name or IP address of a single computer.
  3. Click OK.


Specify a range of computers

Specify a range of computers copyright 2004 Symantec

You can enter a range of computers by specifying the starting (lowest numerically) IP address and the ending (highest numerically) IP address. All of the computers within that range of IP addresses are included.

In almost every case, the first three of the four numbers of the IP addresses entered should be the same.

To specify a range of computers

  1. In the dialog box, click Using a range.
  2. In the Starting Internet Address text box, type the starting (lowest numerically) IP address.
  3. In the Ending Internet Address text box, type the ending (highest numerically) IP address.
  4. Click OK.


Specify computers using a network address

Specify computers using a network address copyright 2004 Symantec

You can identify all of the computers on a single subnet by specifying an IP address and a subnet mask. The IP address that you specify can be any address in the subnet that you are identifying.

To specify computers using a network address

  1. In the dialog box, click Using a network address.
  2. In the Network Address text box, type the IP address of a computer on the subnet.
  3. In the Subnet Mask text box, type the subnet mask.
    The appropriate subnet mask is almost always 255.255.255.0.
  4. Click OK.

If you use DHCP

If your ISP uses a DHCP server to provide IP addresses to users' computers, you must be careful when entering IP addresses.

Instead of identifying a computer with a single IP address, which might change at any time, enter a network address using a base IP address and a subnet mask. Enter values that cover the range of addresses that might be assigned to the computer.


Use the Personal Firewall

Use the Personal Firewall copyright 2004 Symantec

The Personal Firewall and Intrusion Detection features protect your computer from online attacks, unwanted connection attempts, malicious Web content, port scans, and other suspicious behavior.

More Information

About the Personal Firewall
Customize firewall protection
Allow or block access to your computer
Customize firewall rules
How to identify computers
About Intrusion Detection


About the Personal Firewall

About the Personal Firewall copyright 2004 Symantec

When the Personal Firewall is active, it monitors communications among your computer and other computers on the Internet. It also protects your computer from such common security problems as the following:

Improper connection attempts | Warns you of any connection attempts from other computers and attempts by programs on your computer to connect to other computers
Security and privacy incursions by malicious Web content | Monitors all Java applets and ActiveX controls and lets you choose whether to run or block the program
Port scans | Cloaks inactive ports on your computer and detects port scans
Intrusions | Detects and blocks malicious traffic and attempts by outside users to attack your computer

You can control the level of protection that the Personal Firewall provides by using the Security Level slider. You can also control how the Personal Firewall reacts to improper connection attempts, Trojan horses, and malicious Web content.


Customize firewall protection

Customize firewall protection copyright 2004 Symantec

The default Personal Firewall settings should provide adequate protection for most users. If the default protection is not appropriate, you can customize Personal Firewall protection by using the Security Level slider to select preset security levels, or by changing individual security settings.


Change the Security Level

Change the Security Level copyright 2004 Symantec

The Security Level slider lets you select Minimal, Medium, or High security settings. When you change the slider position, the protection level changes. Changing the Security Level does not affect the protection provided by Intrusion Detection.

You can set individual Security Level settings for each Norton Internet Security user.

To change the Security Level

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, in the Choose a security level for drop-down list, select the account that you want to change.
  3. Move the slider to the Security Level that you want. Your options are:

    High

    The firewall blocks everything until you allow it. You are alerted each time that an ActiveX control or Java applet is encountered. Unused ports do not respond to connection attempts.

    Medium

    The firewall blocks everything until you allow it. ActiveX controls and Java applets run without warning. Unused ports do not respond to connection attempts.

    Low

    The firewall blocks connection attempts by Trojan horse programs. ActiveX controls and Java applets run without warning.

  4. Click OK.


Change individual security settings

Change individual security settings copyright 2004 Symantec

If the Security Level options do not meet your needs, you can change the settings for the Personal Firewall, Java, and ActiveX protection levels. Changing an individual setting overrides the Security Level, but it does not change the other security settings in that level.

To change individual security settings

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, in the Choose a security level for drop-down list, select the account that you want to change.
  3. Click Custom Level.
  4. Do one or more of the following:
    • In the Personal Firewall drop-down list, select a level. Your options are:

      High

      Blocks all communication that you do not specifically allow. You must create firewall rules for every program that requests Internet access.

      Medium

      Blocks many ports that are used by harmful programs. However, it can also block useful programs when they use the same ports.

      None

      Turns off the Personal Firewall and allows all Internet communications.

    • In the Java Applet Security or ActiveX Control Security drop-down list, select a level. Your options are:

      High

      Blocks your browser from running any Java applets or ActiveX controls over the Internet. This is the safest, but most inconvenient, option. Some Web sites might not operate properly using this setting.

      Medium

      Prompts you when Java applets and ActiveX controls are encountered. This lets you temporarily or permanently allow or block each Java applet or ActiveX control that you encounter. It can be bothersome to respond every time that you encounter a Java applet or ActiveX control, but it lets you decide which ones to run.

      None

      Lets Java applets and ActiveX controls run whenever you encounter them.

    • To be notified whenever unknown programs access the Internet, check Enable Access Control Alerts.
    • To be notified whenever a remote computer attempts to connect to a port no program is using, check Alert when unused ports are accessed.
  5. Click OK.


Reset security settings to defaults

Reset security settings to defaults copyright 2004 Symantec

Setting a custom security level turns off the Security Level slider. The slider indicates the security level on which your custom level is based, but you cannot use the slider to make changes to your settings. To use the slider to choose a preset security level, you must reset the security level.

To reset security settings to defaults

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, in the Choose a security level for drop-down list, select the account that you want to change.
  3. Click Default Level.


Allow or block access to your computer

Allow or block access to your computer copyright 2004 Symantec

Norton Internet Security allows you to organize computers on your home network and the Internet into Trusted and Restricted Zones. Zones allow you to grant trusted computers more access to your computer while blocking malicious users.

Computers in the Trusted Zone are not regulated by the Personal Firewall. They have as much access to your computer as they would have if you did not have a firewall. Computers in the Restricted Zone cannot communicate with your computer at all.

Be very careful when you add computers on the Internet to your Trusted Zone. If a computer successfully attacks that computer, your computer may also be at risk.

The Home Network Wizard is the fastest way to organize computers into zones. You can also manually add individual computers to zones.

To categorize computers with the Home Network Wizard

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Networking tab, click Wizard.
  3. In the Home Network Wizard opening window, click Next.
  4. In the resulting list, check the network adapters that you want to configure automatically and add to your Trusted Zone.
  5. Click Next.
  6. Click Finish to close the wizard.

To manually add computers to zones

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Networking tab, select the zone to which you want to add a computer.
  3. If you have turned on Network Detector, select the Location you want to customize.
  4. Click Add.
  5. In the Specify Computers window, identify the computer.
  6. When you have finished adding computers, click OK.

To remove computers from zones

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Networking tab, select the zone containing the computer you want to remove.
  3. If you have turned on Network Detector, select the Location you want to customize.
  4. Select the computer that you want to remove.
  5. Click Remove.
  6. When you have finished removing computers, click OK.


Customize firewall rules

Customize firewall rules copyright 2004 Symantec

Firewall rules control how the Personal Firewall protects your computer from malicious incoming traffic, programs, and Trojan horses. The firewall automatically checks all data coming in or out of your computer against these rules.


How firewall rules are processed

How firewall rules are processed copyright 2004 Symantec

Firewall rules are processed in a set order based on their types. System rules are processed first, followed by program rules, then Trojan horse rules.

Once a rule that blocks or permits communications is matched, all remaining rules are ignored. In other words, additional rules that match this type of communication are ignored if they appear below the first rule that matches.

For example, you may have a rule that blocks the use of Symantec pcAnywhere on your computer. If you add a rule that permits the use of Symantec pcAnywhere with a specific computer and move the new rule higher in the list, the new rule lets you use Symantec pcAnywhere with that specific computer, but the earlier rule prevents its use with any other computer.

If no matching rule is found, the communication is blocked.

Communications must match all of a rule's criteria. For example, a rule that blocks communication to and from port 41 will not match a connection attempt from port 80 to port 41. Two rules would be required to block all traffic using that port number - one for incoming and one for outgoing traffic.


About the default firewall rules

About the default firewall rules copyright 2004 Symantec

A number of firewall rules are predefined and turned on when you install Norton Internet Security. These rules provide basic network functionality as well as protect you from known Internet risks. The default firewall rules appear in the general settings and in Trojan horse settings. Examples of default firewall rules include the following:

Default Inbound DNS Default Outbound DNS | Permits the use of the Domain Name System (DNS).
Default Inbound Bootp Default Outbound Bootp | Permits the use of the BOOTP service. (BOOTP is short for Bootstrap Protocol, which enables a computer to discover its own IP address.)
Default Inbound NetBIOS Name Default Inbound NetBIOS Default Outbound NetBIOS | Controls the use of the NetBIOS name service and the NetBIOS datagram service that are used in file sharing on the Microsoft Network.
Default Inbound Loopback Default Outbound Loopback | Permits inbound and outbound loopback connections to the localhost address of 127.0.0.1. It is usually safe to permit loopback or local connections because the connection originator is typically a trusted program on your own computer. Even with this firewall rule turned on, remote computers are never allowed access to the localhost address by the underlying network.
Default Inbound ICMP Default Outbound ICMP | Permits all types of outbound and safe types of inbound ICMP messaging. ICMP messages provide status and control information.
Default Block Back Orifice 2000 Trojan Default Block NetBus Trojan | Protects you from known remote-access Trojan horse programs.


Create new firewall rules

Create new firewall rules copyright 2004 Symantec

Program Control helps you create firewall rules as you use the Internet.

Supervisor and Adult users can create and modify firewall rules. Child and Teenager users cannot make any changes to firewall rules.

There are four ways to create firewall rules with Program Control:

Turn on Automatic Program Control | Automatically configures access for well-known programs the first time that users run them. This is the easiest way to set up firewall rules.
Use Program Scan | Finds and configures access for all Internet-enabled programs on a computer at once.
Manually add programs | Closely manages the list of programs that can access the Internet.
Respond to alerts | Norton Internet Security warns users when a program attempts to access the Internet for the first time. Users can then allow or block Internet access for the program.

More Information

Customize firewall rules
About the default firewall rules
How firewall rules are processed
Write a firewall rule
Change an existing firewall rule
 About Norton Internet Security accounts


Turn on Automatic Program Control

Turn on Automatic Program Control copyright 2004 Symantec

Automatic Program Control automatically configures Internet access settings for programs the first time that they run. Automatic Program Control only configures Internet access for the versions of programs that Symantec has identified as safe.

When Automatic Program Control configures access for a new program, Norton Internet Security displays a message above the Windows toolbar.

If an unknown program or an unknown version of a known program attempts to access the Internet, you receive an alert. You can then choose to allow or block Internet access for the program.

Symantec regularly updates the list of recognized programs. You should run LiveUpdate regularly to ensure that your list is up-to-date.

To turn on Automatic Program Control

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Programs tab, select the Location you want to customize.
  3. Check Turn on Automatic Program Control.
  4. Click OK.

More Information

Create new firewall rules
Scan for Internet-enabled programs
Customize Program Control
Manually add a program to Program Control
 Keeping current with LiveUpdate


Scan for Internet-enabled programs

Scan for Internet-enabled programs copyright 2004 Symantec

Scanning for Internet-enabled programs lets you quickly customize Internet access for multiple programs. Program Scan scans the computer for programs that it recognizes and suggests appropriate settings for each program.

To scan for Internet-enabled programs

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Programs tab, click Program Scan.
  3. Select the disk or disks on your computer that you want to scan.
  4. Click Next.
  5. In the Program Scan window, review the list of Internet-enabled programs that Program Scan identified.
  6. Do one of the following:
    • Check the boxes next to the programs you want to configure.
    • To customize the Internet access settings Program Scan suggested for a program, select it, and then click Modify.
    • To leave a program unconfigured, uncheck the box next to the program. You will receive an alert the next time this program accesses the Internet.
  7. Click Next.
  8. If you have turned on Network Detector, select the Locations that should use these settings.
  9. Click Finish.
  10. Click OK.


Manually add a program to Program Control

Manually add a program to Program Control copyright 2004 Symantec

Add programs to Program Control to strictly control the programs' ability to access the Internet. This overrides any settings made by Automatic Program Control.

To add a program to Program Control

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Programs tab, select the Location you want to customize.
  3. Click Add.
  4. Select the program's executable file.
    Executable file names typically end in .exe.
  5. Click Open.
  6. In the Program Control alert, select the access level you want this program to have. Your options are:

    Automatically configure Internet access

    Use the default Norton Internet Security settings for this program.

    Permit

    Allow all access attempts by this program.

    Block

    Deny all access attempts by this program.

    Manually configure Internet access

    Create rules controlling how this program accesses the Internet.

  7. To see risks that this program could pose to your computer, click Show Details.
  8. Click OK.


Customize Program Control

Customize Program Control copyright 2004 Symantec

After using Norton Internet Security for a while, you may find that you need to change access settings for certain programs.

To customize Program Control

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Programs tab, select the Location you want to customize.
  3. In the list of programs, click the program that you want to change.
  4. Click Modify.
  5. In the Program Control alert, select the access level you want this program to have. Your options are:

    Automatically configure Internet access

    Use the default Norton Internet Security settings for this program.

    Permit this program access to the Internet

    Allow all access attempts by this program.

    Block this program from accessing the Internet

    Deny all access attempts by this program.

    Customize Internet access for this program

    Create rules controlling how this program accesses the Internet.

  6. Click OK.


Write a firewall rule

Write a firewall rule copyright 2004 Symantec

While Program Control automatically creates most of the firewall rules that you need, you may want to add specific rules. Only experienced Internet users should create their own firewall rules.

There are three types of firewall rules that you can write:

  • General rules
  • Trojan horse rules
  • Program rules

To write a General rule

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Advanced tab, click General.
  3. Follow the instructions in the Add Rule wizard.

To add a Trojan Horse rule

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Advanced tab, click Trojan Horse.
  3. Follow the instructions in the Add Rule wizard.

To add a Program rule

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Programs tab, in the list of programs, click Add.
  3. In the Select a program window, select a program's executable file.
    Executable file names typically end in .exe.
  4. In the Program Control alert, on the What do you want to do menu, click Manually configure Internet access.
  5. Follow the instructions in the Add Rule wizard.


Use the Add Rule wizard

Use the Add Rule wizard copyright 2004 Symantec

The Add Rule leads you through the steps necessary to create firewall rules.

To use the Add Rule wizard

  1. Open the Add Rule wizard by creating a General rule, a Trojan horse rule, or a Program rule.
  2. In the Add Rule window, select the action that you want for this rule. Your options are:

    Permit

    Allow communication of this type to take place.

    Block

    Prevent communication of this type from taking place.

    Monitor

    Update the Firewall tab in the Event Log or show a message each time that communication of this type takes place. This lets you monitor how often this firewall rule is used.

    To monitor a permitted connection, you must create both a monitor and a permit rule. The monitor rule must precede the permit rule.

  3. Click Next.
  4. Select the type of connection that the rule should monitor. Your options are:

    Connections to other computers

    The rule applies to outbound connections from your computer to another computer.

    Connections from other computers

    The rule applies to inbound connections from another computer to your computer.

    Connections to and from other computers

    The rule applies to both inbound and outbound connections.

  5. Click Next.
  6. Select the computers that the rule should monitor. Your options are:

    Any computer

    The rule applies to all computers.

    Only the computers and sites listed below

    The rule applies only to the computers, sites, and domains listed.

    Adapters

    The rule applies to a specific network adapter in your computer. This allows you to customize firewall rules for each of your computer's IP addresses. For example, if your computer is connected to a local network and to the Internet, you might want to set up a rule that permits file sharing on the local network, while another rule blocks file sharing over the Internet.

  7. Click Next.
  8. Select the protocols that the rule should monitor. Your options are:

    TCP

    The rule applies to TCP (Transmission Control Protocol) communications.

    UDP

    The rule applies to UDP (User Datagram Protocol) communications.

    TCP and UDP

    The rule applies to both TCP and UDP communications.

    ICMP

    The rule applies to ICMP (Internet Control Message Protocol) communications. This option is available only when adding or modifying a General rule.

  9. Select the ports that the rule should monitor. Your options are:

    All types of communications (all ports)

    The rule applies to communications using any port.

    Only the types of communications or ports listed below

    The rule applies to the ports listed. You can add ports to, or remove ports from, the list.

  10. Click Next.
  11. Select if and how you want the rule to be tracked. Your options are:

    Only log event after it occurs X times

    Control when the Personal Firewall begins logging network communication that matches this rule.

    Create an Event Log entry

    An entry is created in the firewall Event Log when a network communication event matches this rule.

    Notify me with a Security Alert

    An alert appears when a network communication event matches this rule.

  12. Click Next.
  13. In the What do you want to call this rule? text box, type a name for this rule.
  14. In the In which category does this rule belong? text box, select a category.
  15. Click Next.
  16. If you have turned on Network Detector, select the Locations that should use these settings.
  17. Review the new rule settings, and then click Finish.
  18. When you have finished adding rules, click OK.

Write a firewall rule


Change an existing firewall rule

Change an existing firewall rule copyright 2004 Symantec

You can change firewall rules if they are not functioning the way that you want.

To change an existing firewall rule

  1. In the General Rules, Trojan Horse Rules, or Program Rules window, select the rule that you want to change.

    2. If you have turned on Network Detector, select the Location that should use the modified rule.

  2. Click Modify.
  3. Follow the on-screen instructions to change any aspect of the rule.
  4. When you have finished changing rules, click OK.


Change the order of firewall rules

Change the order of firewall rules copyright 2004 Symantec

Each list of firewall rules is processed from the top down. You can adjust how firewall rules are processed by changing their order.

To change the order of a firewall rule

  1. In the General Rules, Trojan Horse Rules, or Program Rules window, select the rule that you want to move.

    2. If you have turned on Network Detector, select the Location that should use the modified rule.

  2. Do one of the following:
    • To process this rule before the rule above it, click Move Up.
    • To process this rule after the rule below it, click Move Down.
  3. When you are done moving rules, click OK.


Temporarily turn off a firewall rule

Temporarily turn off a firewall rule copyright 2004 Symantec

You can temporarily turn off a firewall rule if you need to allow specific access to a computer or program. Remember to turn on the rule again when you are done working with the program or computer that required the change.

To temporarily turn off a firewall rule

  • In the General Rules, Trojan Horse Rules, or Program Rules window, uncheck the box next to the rule you want to turn off.

    • If you have turned on Network Detector, select the Location that should use the modified rule.


Remove a firewall rule

Remove a firewall rule copyright 2004 Symantec

Remove firewall rules when they are no longer necessary.

To remove a firewall rule

  1. In the General Rules, Trojan Horse Rules, or Program Rules window, select the rule that you want to remove.

    2. If you have turned on Network Detector, select the Location you want to modify.

  2. Click Remove.
  3. When you are done removing rules, click OK.


About the Program Control window

About the Program Control window copyright 2004 Symantec

In the Program Control window you can control how programs on your computer access the Internet.

Turn on Automatic Program Control | Creates a new firewall rule for low-risk programs that it recognizes the first time that they are run. Run LiveUpdate weekly to keep your protection current.
Program Scan | Scans for Internet-enabled programs that it recognizes and lets you choose settings for each program.

In the list of programs, you can modify Internet access for each program:

Program | The name of the program, or the name of the program's executable file.
Internet Access | The level of access this program has. Click this entry to change the type of control.
Category | The category that this program is placed in for Parental Control. Click this entry to change the category.

You can also add, modify, or remove Program Control settings for any of the programs in the list.


copyright 2004 Symantec


Attack Detected

Attack Detected copyright 2004 Symantec

Intrusion Detection identified that a recent incoming communication attempt may have been part of an attack. If AutoBlock is on, it will automatically block all communication with this computer for 30 minutes.

In some cases, normal activity might be recognized as an attack. If you can't communicate with a computer that you should be able to communicate with, see if it is on the list of Computers currently blocked by AutoBlock.


CPDGlossary.html

CPDGlossary.html copyright 2004 Symantec


Warning

Warning copyright 2004 Symantec

When the Personal Firewall is turned off, your computer is not protected from Internet threats. If you cannot view certain online content, adjust individual security settings instead of turning off the Personal Firewall.

If you must turn off the Personal Firewall, you should turn it off temporarily to ensure that it will turn on again automatically.

To temporarily turn off the Personal Firewall

  • In the drop-down list, select how long you want to turn off the Personal Firewall, and then click OK.

To ensure that your computer remains protected, you can turn on the Personal Firewall manually before the time that you specified concludes.


Expired Subscription Alert

Expired Subscription Alert copyright 2004 Symantec

Your Norton Internet Security subscription has expired.

A valid subscription is required for you to receive security updates from Symantec. However, you can continue to receive program updates without renewing your subscription.


Subscription Alert

Subscription Alert copyright 2004 Symantec

Your Norton Internet Security subscription is about to expire.

A valid subscription is required for you to receive security updates from Symantec. However, you can continue to receive program updates without renewing your subscription.


Norton Internet Security Subscription status

Norton Internet Security Subscription status copyright 2004 Symantec

Subscription status tells you when your subscription service expires.

A valid subscription is required for you to receive security and product updates from Symantec. These updates allow Norton Internet Security to detect and protect you against new types of Internet attacks.

Symantec's global team of security experts is continuously researching Internet threats, and security updates are released periodically to provide you with the latest protection. To ensure your computer is protected, you must keep your subscription service current and update your protection frequently. Symantec recommends that you update your protection at least weekly by running LiveUpdate or enabling Automatic LiveUpdate.


Warning

Warning copyright 2004 Symantec

When security is turned off, your computer is not protected from Internet threats. If you cannot view certain online content, you should adjust individual security settings instead of turning off your protection.

If you must turn off security, you should turn it off temporarily to ensure that it will turn on again automatically.

To temporarily turn off security protection

  • In the drop-down list, select how long you want to turn off security protection, and then click OK.

To ensure that your computer remains protected, you can turn on security protection manually before the time that you specified concludes.


Norton AntiVirus

Norton AntiVirus copyright 2004 Symantec

Norton Internet Security includes Norton AntiVirus to protect your computer against viruses and other threats. To configure Norton AntiVirus, click Detailed Status.


Program Component Monitoring

Program Component Monitoring copyright 2004 Symantec

Program Component Monitoring ensures that Trojan horses and other malicious programs cannot attach to a safe program and evade detection. When Program Component Monitoring is active, you will be alerted whenever a program uses an unrecognized component to access the Internet. You can then choose to allow or block access for this component.

All programs will be able to use components in this list to access the Internet. To learn more about a particular component, click its entry.


Program Launch Monitoring

Program Launch Monitoring copyright 2004 Symantec

Program Launch Monitoring helps ensure that Trojan horses and other malicious programs cannot launch and manipulate safe programs without your knowledge. When Program Launch Monitoring is active, you will be alerted whenever an unrecognized program launches another program. You can then choose to allow or block Internet access for the unrecognized program.

All programs in this list will be able to launch other Internet-enabled programs. Click the Add and Remove buttons to customize this list.